<?php

$usuario = "tpluscom_master";
$contrasena ="tecplus93"; 
$servidor = "localhost";
$basededatos = "tpluscom_multiservicio";

$conexion = mysqli_connect($servidor, $usuario, $contrasena) or die("No se ha podido conectar al servidor de Base de datos");
$db = mysqli_select_db($conexion, $basededatos)or die("Upps! Pues va a ser que no se ha podido conectar a la base de datos");
$conn = new mysqli($servidor, $usuario, $contrasena, $basededatos);
mysqli_set_charset($conexion, 'utf8');

global $NumeroModulo;
$NumeroModulo = 11;

function DevolverUnDato($query) {
    global $conexion;
    $resultado = mysqli_query($conexion, $query)or die("Algo ha ido mal en la consulta a la base de datos");
    $arreglo = mysqli_fetch_array($resultado);
    return $arreglo[0];
}

function DevolverUnArreglo($query) {
    global $conexion;

    $resultado = mysqli_query($conexion, $query)or die("Algo ha ido mal en la consulta a la base de datos");

//    array('IdCiudad' => '', 'NombreCiudad' => 'Seleccione una ciudad')
    $rawdata = array();
    while ($row = mysqli_fetch_assoc($resultado)) {
        $rawdata[] = $row;
    }
    return $rawdata;
}

function InsertDevolviendoID($query) {
    global $conexion;
    mysqli_query($conexion, $query);
    $resultado = mysqli_insert_id($conexion)or die("Algo ha ido mal en la consulta a la base de datos");
//    $arreglo = mysqli_fetch_array($resultado);
    return $resultado;
}

function hacerConsulta($query) {
    global $conexion;
    $otra = mysqli_query($conexion, $query);
    return $otra;
}

function my_simple_crypt($string, $action = 'e') {
    // you may change these values to your own
    $secret_key = 'my_simple_secret_key';
    $secret_iv = 'my_simple_secret_iv';

    $output = false;
    $encrypt_method = "AES-256-CBC";
    $key = hash('sha256', $secret_key);
    $iv = substr(hash('sha256', $secret_iv), 0, 16);

    if ($action == 'e') {
        $output = base64_encode(openssl_encrypt($string, $encrypt_method, $key, 0, $iv));
    } else if ($action == 'd') {
        $output = openssl_decrypt(base64_decode($string), $encrypt_method, $key, 0, $iv);
    }
    return $output;
}
